package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ParkingInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ParkingInfoService {
	ParkingInfo get(String id);
	boolean exist(String id);
	int insert(ParkingInfo model);
	int update(ParkingInfo model);
	int delete(String id);
	List<ParkingInfo> list();
	Page<ParkingInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    List<ParkingInfo> findByCompanyIdNotParentId(String companyId);

    List<ParkingInfo> findByParentId(String parentId);

	List<ParkingInfo> findHasPicUrl(String companyId);

    ParkingInfo findByParkId(Long parkId);
}